#!/bin/bash

NEXPERIMENTS=5
DEVICE=1

# arguments are number of runs, width, learning rate, device, irregular or not, ntimes
run_single() {
COUNTER=1
while [ $COUNTER -le $1 ]
do
python -m experiments.sines --width $2 --lr $3 --device $4 --regular_times $5 --experiment_no $COUNTER --ntimes $6
((COUNTER++))
done
}

# arguments are number of runs, width, learning rate, device
collect_data() {
run_single $1 $2 $3 $4 irregular 50
run_single $1 $2 $3 $4 irregular 10
}

# run through all loops and collect the data
collect_data $NEXPERIMENTS 1000 0.00003 $DEVICE























